Jump to content

UbayGD

Moderadores
  • Posts

    288
  • Joined

  • Last visited

Everything posted by UbayGD

  1. Probado con Mad Max y sí, te cambia el governor él solito y cuando terminas de jugar vuelve al anterior. Es curioso jajajaja
  2. ¿Para cuando las llantas de 18 pulgadas y el alerón? :D Ahora en serio, está bastante chulo. Si algún día veo perros de colorines sabré quién está detrás de todo jajajajaja
  3. He vuelto!!! Y traigo una nueva versión del kernel compilada (para los pocos de aquí que usen gráficas AMD ). Está vez se trata de la versión 4.9, sacada de este branch https://cgit.freedesktop.org/~agd5f/linux/log/?h=amd-staging-4.9 Y como siempre, incluyendo los binarios de Polaris10 y Polaris11 en la compilación. Y listo!! https://drive.google.com/drive/folders/0B8cUeAsvryrrSGpBdGtBcXEyb3c?usp=sharing PD: Debo decir que no lo he probado con mi RX470 porque ahora mismo no tengo GNU/Linux instalado (Herejía!!!! A la hoguera!!!! ). Pero lo he probado en el portátil de mi madre con una Radeon HD 6380g y va bien EDITO: He subido una versión mejorada del kernel 4.9
  4. Tienes que tener en cuenta que el manual que he puesto es para usar el driver AMDGPU (libre). El driver AMDGPU-PRO (hibrido) es otra cosa y, si no me equivoco, solo soporta el kernel 4.4 (al menos en distribuciones basadas en Ubuntu).
  5. A día de hoy, he modificado el enlace para poder descargar una nueva versión que he compilado hace unos días. Esta vez es la versión 4.7 del kernel, con los parches y pequeños arreglos por parte de los desarrolladores de AMD, así como nuestro querido/odiado DAL, para poder hacer funcionar el sonido por HDMI en Polaris 10/11. Ahora aparecerá algo así: Gallium 0.4 on AMD POLARIS10 (DRM 3.9.0 / 4.7.0+, LLVM 4.0.0)
  6. Con que micro que ha pasado eso? Intel? AMD? modelo? Gracias! Pues primero con un AMD Phenom II x6 y esta última vez, con un AMD FX-8350
  7. Tal vez llego un poco tarde, pero durante un tiempo notaba que el ventilador del procesador hacía mucho ruido. Mirando y mirando averigüé que por defecto en la instalación el que governor que utilizaba era 'performance', por lo que el procesador estaba constantemente a una frecuencia de 3.2GHz en sus 6 núcleos. Instalando el paquete 'cpufrequtils' y reiniciando, el governor había cambiado a 'ondemand', por lo que tanto la temperatura como el rudio disminuyeron.
  8. He actualizado el primer post, añadiendo un kernel compilado por mí, añadiendo los binarios de Polaris10 y Polaris11. El repositorio de donde está sacado pertenece a unos de los desarrolladores de AMD que está trabajando en la inclusión de nuevas funcionalidades al kernel.
  9. Bueno, debo informar de que me ha ocurrido algo bastante curioso. Ayer mismo actualizaron el kernel en el repositorio xenial-proposed a la versión 4.4.0-39. Yo todo contento actualicé y al reiniciar...puff...de nuevo mi gráfica dejaba de ser reconocida. Al volver a la versión 4.4.0-38 todo funcionaba perfectamente. No sé que puede haber de diferente de una versión a otra, pero me parece curioso
  10. Muy buenas a todos!!! Hace unas semanas se me cruzó el cable y decidí cambiar mi GeForce GTX660 por una Radeon RX470. Sabía que los drivers libres iban por buen camino y que también estaba el driver privativo AMDGPU-PRO, pero no tenía ni idea de lo que me iba a encontrar en mi equipo de sobremesa (sí, le he dicho adiós a Debian y he instalado Ubuntu, sé que iré al infierno). Para empezar debo decir que Ubuntu 16.04 no trae soporte de serie para Polaris10/11, y que la aceleración que nos dan los drivers Mesa 11.2 que trae es por software, vía llvm. Así que nada de jugar por ahora. Usando el driver AMDGPU-PRO tenemos aceleración por hardware, pero el rendimiento en los juegos deja bastante que desear (en algunos incluso era peor que con la GTX660). Así que vamos a conseguir que esto funcione. Lo primero es activar las actualizaciones "proposed". La manera más sencilla es ir a Configuración del Sistema -> Software y actualizaciones -> Opciones de desarrollo. Ahí marcamos la opción de "Actualizaciones no publicadas". Cerramos y se actualizarán los repositorios. Para actualizar los paquetes pues ya les dejo a su elección, ya sea de manera gráfica o desde la terminal. Lo que sí debemos asegurarnos es que se nos haya actualizado el kernel a la versión 4.4.0-38. Este paso no sé si es muy relevante, pero aquí lo dejo. Se trata de actualizar nuestro paquete linux-firmware a la versión más reciente. Para ello vamos a https://launchpad.net/ubuntu/+source/linux-firmware y nos descargamos la última versión para Yakkety (16.10). Será un archivo .deb que podemos instalar con doble click o desde la terminal con dpkg. Y por último, añadir el PPA de oibaf para poder actualizar nuestros drivers Mesa a la versión 12.1. Para ello nos digirmos a https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers y seguimos las instrucciones, no tiene pérdida. Una vez actualizados todos los paquetes y reiniciado el sistema, en detalles del sistema nos debería salir algo parecido a esto: Gallium 0.4 on AMD POLARIS10 (DRM 3.2.0 / 4.4.0-38-generic, LLVM 3.9.0) Y listo, ya podemos jugar sin problemas!!!. Hasta el sonido por HDMI funciona. Cualquier duda, sugerencia respecto a la redacción del post o lo que sea, aquí estoy. Un saludo!!! Re-EDITADO: Kernel 4.7 - 64bits para usar con gráficas Polaris10/11 https://drive.google.com/drive/folders/0B8cUeAsvryrrUHZXY3J5enBwa2c?usp=sharing
  11. Y yo que estaba tentado con el juego....lo que no sabía es que el modo online seguía siendo inexistente jajajajaja
  12. En efecto, viene por defecto (con rima y todo jajaja). Borré el archivo de configuración que te crea el panel de NVIDIA y al reiniciar venía activado de nuevo.
  13. Creo que he resuelto parte del misterio... Resulta que en el panel de NVIDIA hay una opción llamada "allow flipping" y que estaba activada. Cuando la he desmarcado las ventanas han vuelto a su velocidad normal. La duda que tengo ahora es si eso estaba activado desde antes y es ahora cuando hay un problema con Gnome....o.... viene desactivado por defecto y por alguna razón se activó.
  14. Lanzándolo a pelo ocurre lo mismo, las ventanas se arrastran por el escritorio, literalmente jajajajajaj. He cambiado a el driver nouveau y va (casi) todo como la seda.
  15. @@Pacman He probado con lightdm y hay una cosa buena y otra mala. La buena es que ya no peta el escritorio . Y la mala es que el rendimiento del escritorio va igual de mal que con GDM después de haber dado el error comentado anteriormente EDITO: Me corrijo a mi mismo, no va lento por culpa de lightdm. Acabo de volver a probar con GDM y también se arrastra el escritorio.
  16. Vuelvo con algunas novedades respecto a este tema. La primera es que en estos días GNOME se ha actualizado a la versión 3.20.2 (Debian Sid) y el problema no solo sigue persistiendo, sino que incluso es peor. Resulta que ahora, después de volver al escritorio, todo se ha vuelto extremadamente lento. A lo que me refiero es que las animaciones, transiciones, movimientos de ventanas se realizan con lentitud y no con la fluidez-normalidad, aunque reiniciemos gnome-shell con lo comentado anteriormente. Y tampoco se puede jugar decentemente así. Con el comando journalctl he podido ver el momento exacto en el que todo se va al carajo. Tampoco sé si ahora es el momento de mover el hilo de sección
  17. Buenas a todos!!! Venía dejarles está pequeña ayuda/consejo de esta simple "tarea" que tengo que realizar cada vez que inicio sesión. Vamos a poner en situación. Ahora mismo estoy usando Debian Sid de 64 bits con GNOME 3.20.1 (recalcar la versión es importante) y los drivers de NVIDIA 364.19. El problema es el siguiente: parece ser que debido a un problema con algunas llamadas/funciones de las librerías CoGL (o cogl), los drivers de NVIDIA tienen una pequeña incompatibilidad con GNOME (gnome-shell concretamente) y después de unos 2-5 minutos de habernos logueado, nos cambia automáticamente a la terminal TTY1 pero sin prompt. Lo ideal en este paso es no asustarse, ya que con un simple CTRL+ALT+F2 volveremos a nuestro escritorio casi sin ningún daño. Y digo esto porque el fondo de pantalla se verá horrible, basta con pulsar ALT+F2 y luego introducir una "r" en el comando a ejecutar, para así recargar nuestro fondo. Si alguno le resulta curioso que con CTRL+ALT+F2 volvamos al escritorio (normalmente es CTRL+ALT+F7)....más curioso resultará que por defecto y antes de que pete, la sesión de GNOME se inicia en la TTY1. Lo más curioso aún es que, según los foros de ArchLinux, este error esta corregido en la versión 3.20.0-3 de gnome-shell (o eso dicen ellos jajajaja) Tengo que añadir también que con el driver nouveau este problema no existe.
  18. Sacan esto justo ahora cuando estoy con el sobremesa inoperativo jajajaja me tocará esperar para probarlos
  19. Desde hace un día o dos (creo) Firefox ya se encuentra en los repositorios de Debian. Al menos en Sid está ya la versión 45 y en Experimental la 46 beta.
  20. En ese caso, tendré que ir ahorrando para cuando salgan y estén de oferta jajajajaja Y si son de Feral, mejor que mejor
  21. En devtalk.nvidia he encontrado lo siguiente: https://devtalk.nvidia.com/default/topic/915808/-361-28-duplicate-lines-in-manifest-file-/ Y dice algo así como que hay varias líneas duplicadas y que eso causa el fallo.
  22. Después de toquetear y reinstalar un par de veces el error que daba al ejecutar juegos con los 361.28 ha desaparecido. A la hora de instalar continúan los problemas con los enlaces
  23. A mi no me los instalaba, xq intente correr steam y no funcionaba, cuando instale el 358 alli empezo a funcionar steam y tambien tengo habilitada la multiacquitecture Yo retiro lo dicho. El Counter Strike por ejemplo me da error, algo de OpenGL, y varios juegos más. No lo había probado hasta ahora EDITO: Este mensajito me sale Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated No sé si será por el GLVND
  24. A mí también me da error con algunos enlaces simbólicos...pero no veo que tenga problemas con juegos y/o programas. Y tengo habilitada la multiarquitectura
×
×
  • Create New...